uses
  classes, sysutils,ptc;

var
  pixels: PUint32;
  console: IPTCConsole;
  surface: IPTCSurface;
  format: IPTCFormat;
  x,y:Integer;

begin
  { create console }
  console := TPTCConsoleFactory.CreateNew;

  { create format }
  format := TPTCFormatFactory.CreateNew(32, $00FF0000, $0000FF00, $000000FF);

  console.Open('PTC-Grraphic-App',1024,76,format);

  { create surface matching console dimensions }

  surface := TPTCSurfaceFactory.CreateNew(console.width, console.height, format);

  { Nun will ich erst mal Pixel in einen rechteckigen Bereich schreiben, um zu sehen, ob das funktioniert. Wenn ja, kann ich weiter machen}

  pixels := surface.lock;
  try
    for y:=20 to 100 do
      for x:=20 to 200 do
         pixels[x + y * surface.width] := $FF;
  finally
    surface.unlock;
  end;

  surface.copy(console);  //Pixels in console schreiben
  console.Update;           //Bildschirminhalt aktualisieren, nun muss das Rechteck zu sehen sein!
  readln;

end.
